MODULE agrif_ice
   !!======================================================================
   !!                       ***  MODULE agrif_ice  ***
   !! AGRIF :   define in memory AGRIF variables for sea-ice
   !!----------------------------------------------------------------------
   !! History :  3.3  ! 2011-07  (R. Benshila)  Original code
   !!----------------------------------------------------------------------
#if defined key_agrif && defined key_lim2
   !!----------------------------------------------------------------------
   !!   'key_agrif'                                              AGRIF zoom
   !!----------------------------------------------------------------------
   USE par_oce      ! ocean parameters
   
   IMPLICIT NONE
   PRIVATE 

   PUBLIC agrif_ice_alloc ! routine called by nemo_init in nemogcm.F90

   INTEGER, PUBLIC :: u_ice_id, v_ice_id, adv_ice_id, sadv_ice_id
   REAL(wp), PUBLIC :: childfreq = 0. ! child time position in sea-ice model
# if defined key_lim2_vp
   REAL(wp), DIMENSION(:,:), ALLOCATABLE, PUBLIC :: u_ice_nst, v_ice_nst
# else
   REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, PUBLIC :: u_ice_oe, v_ice_oe
   REAL(wp), DIMENSION(:,:,:), ALLOCATABLE, PUBLIC :: u_ice_sn, v_ice_sn
# endif

   !!----------------------------------------------------------------------
   !! NEMO/NST 3.3.1 , NEMO Consortium (2011)
   !! $Id$
   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
   !!----------------------------------------------------------------------
CONTAINS 

   INTEGER FUNCTION agrif_ice_alloc()
      !!----------------------------------------------------------------------
      !!                ***  FUNCTION agrif_ice_alloc  ***
      !!----------------------------------------------------------------------
# if defined key_lim2_vp
      ALLOCATE( u_ice_nst(jpi,jpj) , v_ice_nst(jpi,jpj) , STAT = agrif_ice_alloc ) 
# else
      ALLOCATE( u_ice_oe(4,jpj,2) , v_ice_oe(4,jpj,2) ,    &
         &      u_ice_sn(jpi,4,2) , v_ice_sn(jpi,4,2) ,   STAT = agrif_ice_alloc ) 
# endif
   END FUNCTION agrif_ice_alloc

#endif
   !!======================================================================
END MODULE agrif_ice
